=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2016-07-08 02:59:50 +0000
+++ CMakeLists.txt	2016-07-13 03:10:28 +0000
@@ -1,7 +1,14 @@
-set(VERSION "1.14")
+set(VERSION "1.16")
 # Supress qDebug() output
 ADD_DEFINITIONS( -DQT_NO_DEBUG_OUTPUT )
 
+# This command figures out the target architecture and puts it into the manifest file
+execute_process(
+  COMMAND dpkg-architecture -qDEB_HOST_ARCH
+  OUTPUT_VARIABLE ARCH
+  OUTPUT_STRIP_TRAILING_WHITESPACE
+)
+
 project(calls CXX)
 cmake_minimum_required(VERSION 2.8.10)
 
@@ -62,7 +69,6 @@
 #find_package(PkgConfig REQUIRED)
 include(FindPkgConfig)
 
-
 #must have installed libhistoryservice-dev and qtpim5-dev
 pkg_check_modules(UNITY_SCOPES REQUIRED
     "libunity-scopes >= 0.6.0"
@@ -74,12 +80,12 @@
 )
 
 configure_file (
-    "manifest.json.in"
-    "manifest.json"
+    "${CMAKE_CURRENT_SOURCE_DIR}/manifest.json.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/manifest.json"
 )
 configure_file (
-    "security.json.in"
-    "${PKG_PREFIX}.${PKG}_${APP}.security.json"
+    "${CMAKE_CURRENT_SOURCE_DIR}/security.json.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/${PKG_PREFIX}.${PKG}_${APP}.security.json"
 )
 
 add_subdirectory(tests)
@@ -88,6 +94,6 @@
 add_subdirectory(data)
 add_subdirectory(po)
 
-install(FILES ${CMAKE_BINARY_DIR}/manifest.json DESTINATION "/")
-install(FILES "${CMAKE_BINARY_DIR}/${PKG_PREFIX}.${PKG}_${APP}.security.json" DESTINATION "/")
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION "/")
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${PKG_PREFIX}.${PKG}_${APP}.security.json" DESTINATION "/")
 

=== modified file 'manifest.json.in'
--- manifest.json.in	2016-04-13 17:15:40 +0000
+++ manifest.json.in	2016-07-13 03:10:28 +0000
@@ -2,7 +2,7 @@
     "name": "${PKG_PREFIX}.${PKG}",
     "description": "${DISPLAY_DESC}",
     "framework": "ubuntu-sdk-15.04.4",
-    "architecture": "armhf",
+    "architecture": "${ARCH}",
     "title": "${DISPLAY_NAME}",
     "hooks": {
         "${APP}": {

